<ng-container *transloco="let t">
  <mat-form-field class="manga-status-filter dense-5" subscriptSizing="dynamic">
    <mat-select
      (blur)="cva.markAsTouched()"
      (selectionChange)="cva.value = $event.value"
      [disabled]="cva.disabled$()"
      [placeholder]="t('COMPONENTS.MANGA_STATUS_FILTER.ANY_PLACEHOLDER')"
      [value]="cva.value$()"
      multiple
    >
      @for (kvp of mangaStatuses | keyvalue; track kvp.key) {
      <mat-option [value]="kvp.value">
        {{ t('COMMON.MANGA_STATUS.' + kvp.value) }}
      </mat-option>
      }
    </mat-select>
  </mat-form-field>
</ng-container>
